Test Date Format
get
https://api.flxpoint.com/workflow/test-date-formatUse this when you want to pull workflow data through the API.
🔑 X-API-TOKEN⏱ 2 req/sToken: Account · Source · Channel
This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.
Test a date format to ensure it is working as you would intend. These formats are applied within individual workflows & mapping templates.
Request
Query parameters
formatquerystringrequiredThe format to test
Example request
get
/workflow/test-date-formatcurl -X GET "https://api.flxpoint.com/workflow/test-date-format" \
-H "Accept: application/json" \
-H "X-API-TOKEN: YOUR_TOKEN"Responses
200OKapplication/json
formattedDatestringrequiredThe current date time as a string with the applied format
Example response
{
"formattedDate": "string"
}401Unauthorized
No schema documented for this status.
OpenAPI fragment
{
"get": {
"summary": "Test Date Format",
"description": "Test a date format to ensure it is working as you would intend. These formats are applied within individual workflows & mapping templates.",
"parameters": [
{
"schema": {
"type": "string",
"example": "MM-dd-yyyy HH:mm:ss"
},
"in": "query",
"name": "format",
"description": "The format to test",
"required": true
}
],
"responses": {
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/TestDateFormatResponse"
}
}
}
},
"401": {
"description": "Unauthorized"
}
}
}
}Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight